JavaScript
import Antimetal from '@antimetal/sdk';
const client = new Antimetal({
apiKey: process.env['ANTIMETAL_API_KEY'], // This is the default and can be omitted
});
const result = await client.issues.results.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(result.sessionUuid);curl --request GET \
--url https://bff.antimetal.com/api/v2/issues/{id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://bff.antimetal.com/api/v2/issues/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"sessionUuid": "<string>",
"rootCause": {
"id": "<string>",
"incidentOverview": "<string>",
"rootCauseSummary": "<string>",
"relevantEvidence": [
{
"title": "<string>",
"description": "<string>",
"artifacts": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
],
"irrelevantEvidence": [
{
"title": "<string>",
"description": "<string>",
"artifacts": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
]
},
"causalTree": {
"nodes": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"expandedContent": "<string>"
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>"
}
]
},
"causalTreeV2": {
"nodes": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"evidence": [
{
"documentId": "<string>",
"title": "<string>",
"description": "<string>",
"dataType": "<string>"
}
]
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"confidence": 0.5
}
]
},
"remediation": {
"actions": [
{
"id": "<string>",
"uuid": "<string>",
"title": "<string>",
"steps": [
{
"id": "<string>",
"title": "<string>",
"required": true,
"type": "info",
"content": "<string>",
"helpMarkdown": "<string>",
"label": "<string>"
}
],
"description": "<string>",
"markdownPrompt": "<string>"
}
]
},
"timeline": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>",
"evidence": [
{
"artifactId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>"
}
]
}
]
}{
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"message": "<string>",
"request_id": "<string>",
"details": {}
}Issues
Fetch investigation results by ID (UUID)
Retrieves detailed investigation results including root cause analysis and remediation steps
GET
/
issues
/
{id}
/
results
JavaScript
import Antimetal from '@antimetal/sdk';
const client = new Antimetal({
apiKey: process.env['ANTIMETAL_API_KEY'], // This is the default and can be omitted
});
const result = await client.issues.results.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(result.sessionUuid);Authorizations
API key authentication via Bearer token
Headers
The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's info.version field to opt into exactly this version's schema.
Example:
"2026-03-17"
Path Parameters
Issue unique identifier (UUID)
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Issue version for workflow results (defaults to latest)
Required range:
x >= 1Response
Investigation results
Session UUID for live investigation
Root cause information
Show child attributes
Show child attributes
Causal tree analysis
Show child attributes
Show child attributes
Causal graph V2 with enriched evidence
Show child attributes
Show child attributes
Remediation actions and steps
Show child attributes
Show child attributes
Timeline events
Show child attributes
Show child attributes
⌘I